extends Camera2D
class_name PIDCamera2D

var target:Vector2 = Vector2();

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta: float) -> void:
	target = _set_target();
	position = PID(target);

func PID(t:Vector2) -> Vector2:
	return t;

func _set_target() -> Vector2:
	return Vector2();
